View Single Post
Old 08 February 2006, 00:59   #8
Retro-Nerd
Missile Command Champion

Retro-Nerd's Avatar
 
Join Date: Aug 2005
Location: Germany
Age: 47
Posts: 11,475
No, you need this one:

Kickstart v1.3 (A500,A1000,A2000) rev 34.5 (256k). The 608020 is a Amiga 2500, it works with the 3.X Kickstarts. There are 1.X, 2.X, 3.X for the Amiga 500 as well, but use the 1.3.
Retro-Nerd is offline  
 
Page generated in 0.04032 seconds with 11 queries